Bug 1874817 - No Route created if via Git import flow/Dev catalog deploying a GO app
Summary: No Route created if via Git import flow/Dev catalog deploying a GO app
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 10:33 UTC by Jaivardhan Kumar
Modified: 2020-09-15 11:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Go builder image doesn't exposes any port so Routes were not getting created Consequence: No Route created if user deploys a Go app via Git import flow/Dev catalog Fix: If there are no Ports exposed and then pick use user provided port as target port or default port `8080` Result: Route/services gets created if user deploys a Go app via Git import flow/Dev catalog
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Route created if via Git import flow/Dev catalog deploying a GO app (1.74 MB, video/webm)
2020-09-15 11:11 UTC, spathak@redhat.com
no flags Details
Builder image recognised if via Git import flow/Dev catalog deploying a GO app (1.51 MB, video/webm)
2020-09-15 11:13 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6494 None closed Bug 1874817: fixes issue with route creation in case of no ports exposed 2020-09-19 20:43:41 UTC

Description Jaivardhan Kumar 2020-09-02 10:33:24 UTC
Description of problem: No Route created if via Git import flow/Dev catalog deploying a GO app

Prerequisites (if any, like setup, operators/versions):

Steps to Reproduce
- Go to DevConsole -> Git Import
- In repo provide https://github.com/sclorg/golang-ex
- Select the Go builder image (This should have been recommended)
- Route is selected by default , make sure it is

OR

Steps to Reproduce
- Go to DevConsole -> Catalog
- Search for go builder image
- Create app with Sample Repo
- Route is selected by default , make sure it is

Actual results:No Routes are shown in topology view (Route/service nothing gets created)

Expected results: Routes should be shown in topology view 
(Route/service should be created)

Reproducibility (Always/Intermittent/Only Once): Always

Build Details:  4.6.0-0.nightly-2020-08-27-005538

Additional info: Refer https://github.com/sclorg/golang-ex in case Go builder image user need to explicitly provide the port as well as ports are not exposed , even with providing target port as 8888 no route gets created

Above can be reproduced even in GitImport flow

Comment 1 Jaivardhan Kumar 2020-09-02 10:37:02 UTC
Jira: https://issues.redhat.com/browse/ODC-4702

Comment 4 spathak@redhat.com 2020-09-15 11:11:32 UTC
Created attachment 1714913 [details]
Route created if via Git import flow/Dev catalog deploying a GO app

Comment 5 spathak@redhat.com 2020-09-15 11:13:57 UTC
Created attachment 1714915 [details]
Builder image recognised if via Git import flow/Dev catalog deploying a GO app

Comment 6 spathak@redhat.com 2020-09-15 11:14:40 UTC
Verified on build Version: 4.6.0-0.nightly-2020-09-10-145837
Browser Version: Chrome Version 84


Note You need to log in before you can comment on or make changes to this bug.